ORBit2-2.14.19

	- bug fixes
		+ fix free on error of uninitialized IOR components
		  (Michael Meeks)

ORBit2-2.14.18

	- bug fixes
		+ add a g_warning (Christian Persch)
		+ fix FMR in forwarding code (Thoralf Lund)
		+ fix some problems with the preprocessor on Solaris (Thomas
		  Clausner)
		+ add a CORBA_wstring_dup function (Jules Colding)

ORBit2-2.14.17

	- bug fixes
		+ fix glib single includes (Cosimo Cecchi)
		+ various fixes for cross-compiling (Fridrich Strba)
		+ do fewer DNS lookups in linc (Jules Colding)
		+ fix compiler warnings (Kjartan)
		+ threading fixes (Tor Lillqvist)
		+ win32 portability fixes (Tor Lillqvist)

ORBit2-2.14.16

	- bug fixes
		+ fix make check on Mac OS/X
		+ The ORBNetID option was not consistent in relation to
		  ORBIIOPIPName. This fix ensures that ORBIIOPIPName always
		  takes precedence. (Jules Colding)

ORBit2-2.14.15

	- bug fixes
		+ fix some leaks (Jules Colding)
		+ fix for Mike's recent fixes (Mike Gorse)
		+ fix potential make loop (Diego Pettenò)

ORBit2-2.14.14

	- portability
		+ Fix build on win32 (Tor)
		+ Mac OS/X fixes (Jules Colding)

	- bug fixes
		+ use ORBIT_SOCKETDIR to propagate the socket dir to children
                  wherever possible: has two benefits: speeds up ORBit2 launch,
                  and allows root owned apps to talk to the user's AT. (Mike Gorse)
		+ other linc2 fixes (Michael, Mike)
		+ Cleanups (JP, Jules Colding, dmacks at netspace org)
 
ORBit2-2.14.13

	- porting
		+ Fixes for building with MSVC (Tor Lillqvist and
		  Marcelo Vanzin)
	- bug fixes
		+ Robustness fixes (Michael)
		+ Fixes for the poa test client (Jules)
		+ Build fixes with single glib includes (Christian)
		+ Locking fixes in linc (Michael, Tor)
		+ Fixes for handling of local requests (Jeff, Li)

ORBit2-2.14.12

        - bug fixes
                + Fix the build with glib 2.15

ORBit2-2.14.11

	- bug fixes
		+ Various cleanups and fixes for win32 (Tor)
		+ Fix off by one in all method name lengths.
		  Fixes interoperability with other ORBs (J. Specht)

ORBit2-2.14.10

	- bug fixes
		+ It is now possible to use the ORBNetID command
        	  line option to specify a specific NIC to be used by ORBit2
        	  when creating externally visible objects. This is supported
        	  by adding LINK_NET_ID_IS_CUSTOM to the LinkNetIdType enum
        	  type. Previously the first NIC which wasn't "127.0.0.1" was
        	  unconditionally used. (Jules Colding)
		+ More GIOP fixing (Jules Colding)
		+ Build and debugging fixes (Jules Colding)
		+ Fix a crash (Tor Lillqvist)

ORBit2-2.14.9

	* bug fixes
		+ Portability fix (Tor Lillqvist)
		+ Various fixes in GIOP and linc (Jules Colding)  

ORBit2-2.14.8

	* bug fixes
		+ Fix GIOP timeouts and add unit tests (Jules Colding)
		+ Code cleanups (Kjartan)
		+ Fix pointer arithmetics (Roland Illig)
		+ Fix crash with uninitialized exception (Vincent Untz)
                + ORBLocalOnly mode in Solaris fixes (Brian Cameron)

ORBit2-2.14.7

	* bug fixes
		+ Split up some asserts to ease debugging
		+ Dist MAINTAINERS

ORBit2-2.14.6

	* bug fixes
		+ Add uninstalled .pc files (Brian Cameron)
		+ Improve debugging (Kees Cook)
		+ Build fix (dmacks at netspace org)
 
ORBit2-2.14.5

	* bug fixes
		+ Remove -std=gnu99 from the compiler flags. (Kjartan)
		+ Constification fixes (Jody)
		+ Remove #ifdef ORBIT2_EXTENSIONS guard that caused
		  compiler warnings in gnome-session. (Rodrigo)
		+ Fix two files with same name on non-case-sensitive
		  filesystem (Tor)

ORBit2-2.14.4

	* bug fixes
		+ Cleanups and compiler warning fixes (Kjartan)
		+ Win32 portability fixes (Tor)
		+ Constification fixes (Georg Schwartz)
		+ Portability and build fixes (dmacks at netspace org)
		+ Build fixes, add g_cond_timed_wait and use it instead
		  of g_cond_wait to avoid blocking indefinitely in some
		  situations (Jules)
		+ Build fixes (Christian)
ORBit2-2.14.3

	* bug fixes
		+ Fix DHCP hostname changes breaking login. (Brian)
		+ Modify ORBLocalOnly test for TCP/IP connections so that differences
		  in the port number does not cause the test to fail. Fixes a11y
		  breakage on Solaris (Brian)
	* docs
		+ Document ORBit_get_giop_recv_limit (Jules)
ORBit2-2.14.2

	* bug fixes
		+ Don't hang when the hostname changes (Brian)
		+ Fix problems with a11y on Solaris (Brian)
		+ Doc improvements (Jules Colding)
		+ Build fixes (Jules, Kjartan)
 
ORBit2-2.14.1

	* bug fixes
		+ Cleanups, leak fixes and fixes for reports
		  from the Coverity checker (Kjartan, Pascal)
		+ New function ORBit_get_giop_recv_limit().
		  Clients must be able to retrieve the 
		  maximum allowed GIOP receive limit. (Jules Colding)
		+ Bug 323201: marshalling of void retval typecode generated
		  by "imodule service" crashes. (Gustavo Carneiro)
		+ emit per interface enum for index of xyz_imethods[].
		  (Kuang-Chun Cheng)
		+ Port to GOption (Christian Persch)
		+ Win32 fixes (Tor Lillqvist)
		+ Emit exception for bad URL in string_to_object
		  (Frank Rehberger)
		+ Fix C++ compatibility in generated code (Vladimir Panov)
 
ORBit2-2.14.0

	* bug fixes
		+ Fix build on Cygwin (Tor)
		+ Fix giop test compilation/crash (Tor)

ORBit2-2.13.3

	* bug fixes
		+ Fix crash on null adaptor (Michael)
		+ Fix compiler warnings (Kjartan, Jens Granseuer)
		+ Improve configure stage on Win32 (Tor)

ORBit2-2.13.2

	* bug fixes
		+ realloc should update length/tracking information
		  (Martin Blom)
		+ Fix memory management and crashew when shutting down
		  the ORB. (Anders Carlsson)
		+ Build/correctness fixes (Tor, Jules)
ORBit2-2.13.1

	* features
		+ More work on porting to Win32 (Tor)
		+ Implement forward binding (Fernando Herrera)
		+ Implement new ORB_init option ORBNetID (Jules Colding)
	* bug fixes
		+ Build fix (James Henstridge)
		+ Memory management fixes (Anders Carlsson)
		+ Reset connection for forwarded objects (Anders)
		+ Don't use -export-dynamic (Mark)
		+ if we have failed on the unix socket, have IPv4 or 
		  IPv6 connections enabled and are on localhost, then 
		  don't connect on the corresponding port from the profiles
		  (Arvind Samtur)
		+ Fix a bunch of compiler warnings and make some code static
		  (Kjartan)
		+ Add threading libs to ORBIT_NAME (Michael)
		+ Check for netdb.h (Sandie Vanderme)
		+ Check for sys/sockio.h (James Andrewartha)
	* Other
		+ Improve docs for users of ORBit2 (Jules Colding)

ORBit2-2.12.4

        * bug fixes
                + add ORBIT2_MAYBE_CONST (Tor, Mark)

ORBit2-2.12.3

        * bug fixes
                + reduce stack size for I/O thread (Mark)
                + work with pkg-config >= 0.16 (James H)
                + check for netdb.h (Sandie Vanderme)
                + release lock in ORB destroy (Aivars Kalvans)
                + error condition fix in demarshaling (Michael)
                + check for sys/sockio.h (James Andrewartha)
                + AC_PREREQ bump (Gustavo Gama)
                + add threading libs to name service (Diego Petteno)

ORBit2-2.12.2

        * bug fixes
                + Fix infinite loop when using ORBInitRef (Anders Carlsson)
                + Fix memory leak in initial references (Anders Carlsson)
                + Use correct host name for unix sockets (Arvind Samptur)
ORBit2-2.12.1

        * bug fixes
                + Fix mem leak on exception overwrite (Michael)
                + Fix demarshalling CORBA_any containing
                  null or void values (Michael)
                + IDL generation (esp. skelimpl) fixes (Jules Colding)
                + Ongoing Win32 port work (Tor Lillqvist)
                + Fix linking on Darwin (Hans Petter Jansson)

ORBit2-2.9.6

	* bug fixes
		+ PPC union walking bug (Michael, Jeroen Z)

ORBit2-2.9.5

	* bug fixes
		+ don't crash with NULL env (Mark)

ORBit2-2.9.4

	* bug fixes
		+ enviroment pollution (Michael)
		+ AIX portability bits (The Written Word)

ORBit2-2.9.3

	* bug fixes
		+ configure logic bug (Morten Welinder)
		+ no-mainloop threading issue (Michael)
		+ custom policy oneway fix (Michael, JP)
		+ policy lookup fix (Alex Larsson)

ORBit2-2.9.2

	* bug fixes
		+ threaded client deadlock (Michael)
		+ skelimpl leak fix (Frank)
		+ forward request double free (Michael)
		+ thread queue processing (Frank)

ORBit2-2.9.1

	* bug fixes
		+ thread handling / shutdown bugs (Justin Schoeman)
		+ linc I/O revents race fix (Padraig O'Briain)
		+ name service ref leak (Justin)
		+ GIOP HUP error cleanup (Michael)
		+ ORB shutdown from any thread (Michael)
		+ build fixes / cleans (Justin, Michael)
	* featurelets
		+ (limited) re-enterancy client policy (Michael)
		+ re-factored invocation stack (Frank Rehberger)
		+ deactivation / return test (Michael) 

ORBit2-2.9.0

	* bug fixes
		+ speed up child POA destruction (Michael)
	* featurelets
		+ allow objects to be bound to specific threads (Alex Larsson)

ORBit2-2.8.0

	* bug fixes
		+ sequence_concat helper (Frank)
		+ corbaloc fixes (Frank)

ORBit2-2.7.6

	* bug fixes
		+ try_connection deadlock (Michael, Padraig O'Briain)
		+ shutdown_orb fd leak (Michael, Morten Welinder)
		+ don't export libIDL strangely (Michael, Morten)
	* featurelets
		+ define file specific foo in idlcompile (James H)


ORBit2-2.7.5

	* bug fixes
		+ cmdline option parsing (Michael)
		+ idl-compiler stderr fixes (Dan Winship)
		+ object key hashing fix (Frank Rehberger)
		+ ~always enable thread-safety (Michael)
		+ parallel build fixes (Michael)
		+ _is_a fixes for in-proc + transient poa (Michael)
	* featurelets
		+ RootPOA/POACurrent set guards (Frank)
		+ corbaloc support (Frank)
		+ more regression tests (Michael, Frank)

ORBit2-2.7.3

	* bug fixes
		+ vicious union discriminator issue (Brian Cameron)
		+ non_existent / try_connection fix (Michael)
		+ 'broken' emission at idle (Michael, George Lebl)
		+ DynAnyFactory registration (Michael)
		+ no longer explicitely "entering a wold of pain"
		+ ORBit_sequence fixes (Frank Rehberger)
		+ linc source fix (Padraig O'Briain)
		+ gthread linkage fix (Michael)
		+ struct/union leakage on exceptions (Frank)
	* featurelets
		+ improved regression tests (Michael, Frank, Bowie Owens)
		+ lots of documentation improvements (Gustavo Carneiro)
		+ -ORBInitRef, -ORBNamingIOR (Frank)

ORBit2-2.7.2


	* bug fixes
		+ fixed docs build (Gustavo Varneiro)
		+ thread pool fix (Alex)
		+ build fixes (Waschk, oGalaxy, Michael)
	* features (Michael)
		+ vastly improved thread safety (& Alex)
		+ improved regression tests
		+ much improved ABI
		+ implemented POA thread policies
		+ client side re-enterancy guard policies
		+ internalized linc as 'linc2/link'
		+ in-proc cross-thread invocation
		+ poa copying API

ORBit2-2.7.1

	* bug fixes
		+ tail align fix (Herbert Valerio Riedel)
		+ request ID fix (Herbert)
		+ thread hint fix (Gustavo Carneiro)
		+ build fixes (Richard Kinder)
		+ packed type marshal fix (Michael Haubenwallner)
		+ purifing mode fixes (Michael)
		+ use g_get_tmp_dir (Michael)
	* features
		+ much improved thread safey (Michael)
		+ improved tests (Michael)
		+ locate request impl. (Herbert)
		+ GIOP cleans (Herbert)
		+ configurable init msg limit (Michael)
		+ cygwin support (Masahiro Sakai)
		+ code cleans (Richard Kinder)

ORBit2-2.5.1

	* bug fixes
		+ relocated make check (Michael)
		+ memory corruption in imodule service (Michael)
		+ wierd autoconf missing -I (James Henstridge)
		+ always set ev on exceptions (Michael)
		+ enum typedef problem (Mark)
		+ autoconf / build fixage (Thomas Vander Stichele)
		+ name service init fix (Marion Schuenemann)
	* featurelets (Michael)
		+ non-platform specific generated code
		+ add threaded test client

ORBit2-2.5.0

	* bug fixes
		+ HP/UX / ANSI fixes (Albert Chin)
		+ imodule fixage (James Henstridge)
			+ nested unions, structs, exceptions
			+ fall-through case unions subnames
			+ type mis-inclusion
		+ request handler segv (Mark)
		+ epv typecasts (Gergo)
		+ improve generic marshaller (Michael)
		+ fix TC_void's kind (Michael)
		+ fix linc EOF locking interaction silly (Michael)
		+ kill name server cruft (Mark)
		+ fix linking for -pthread (Mark)
		+ IDL compiler backend fix (Murray Cumming)
		+ internal header / build fixes (Gergo Erdi)

	* features
		+ IDL compiler language backend API (Mark, Gergo)
		  NB. see module 'orbitcpp' for C++ bindings [!]
		+ CORBA_Typecode API (Gergo)
		+ IDL -> IInterface converter (Mark)
		+ improved imodule handling (Mark)
		+ more regression tests (Michael, James)
		+ de-bloated IDL compiler -6k LOBC (Mark)

ORBit2-2.4.3

	* bug fixes
		+ de-marshal sequences efficiently (Michael)
		+ autotools versioning (Havoc Pennington)

ORBit2-2.4.2

	* bug fixes
		+ '_' prefixes on Object builtins (Darren Kenny)
		+ idl-compiler fixes for AIX (Laurent Vivier)
		+ more regression tests (Michael)

ORBit2-2.4.1

	* bug fixes
		+ parallel build fixage (Martin Pool)
		+ lonely cnx crasher (Michael)
		+ return sys ex on no method (Michael)
		+ orbit-idl 'ns' fix (Murray Cumming, Felix Breuer)
		+ cnx / buffer lifecycle fixes (Michael)
		+ cmd line parsing regression (Gustavo Giráldez)
		+ disable broken http: IOR code by default (Michael)
		+ check send buffer alignment (Alex Larsson, Michael)
		+ don't install various tests (Brian Cameron)
		+ build fixage (Jacob Berkman, Alex, Bill Haneman)
		+ debugging flag pokage fix (Mark McLouglin)
		+ marshalling sequence shrinkage (Mark)
		+ connection logic bug (Michael)
		+ don't spew debug on destroy (Michael)
		+ copy alias typecodes (Mark)

	* featurelets (Michael)
		+ GIOP fragment handling 
		+ Security Audit 
		+ 'LocalOnly' mode 
		+ new ORBIT_DEBUG=errors spew 
		+ debug build debug hooks 
		+ more graceful OOM handling 
		+ blank uninitialized outgoing data 
		+ random keys re-hashed / accelerated 
		+ skeptical sequence de-marshling 
		+ configure time dofus detection 
		+ beefed up regression tests 
			+ various spoofing
			+ randomized valid data
			+ broken fragments

ORBit2-2.4.0

	* bug fixes
		+ orbit-idl-2 knows its name (Michael)

	* featurelets
		+ bin-compat fiddling (Michael)
		+ accelerated object hashing (Michael)
		+ orbhttp clean (Richard Kinder)
		+ allow fast call disabling (Michael)
		+ shrink stubs yet further (Michael)

ORBit2-2.3.110

	* leak fixes (Michael)
		+ async code
		+ connection dispose
		+ GIOP 1.0 service contexts

	* trace cleanup (Sean Atkinson)
		+ us timestamp printing
		+ ellipsize long strings

ORBit2-2.3.109

	* Bug fixes
		+ accept NULL async callbacks (Michael)
		+ CosNaming mess fixups (Michael)
		+ Java interop fix (Mark)
		+ IDL compiler more type friendly (Gergo)

ORBit2-2.3.108

	* Bug fixes
		+ fixed array marshaling (Gergo Erdi, Michael)
		+ configure check pruning (Michael)
		+ shutdown ORB atexit to avoid UDS leaks (Michael)
		+ SSL build fixes (Michael, Colin Campbell)
		+ C++ compiler cast bits (Gergo)
		+ linkage fixes (Mark)
		+ IDL compiler initialization fixes (Mark)

	* Featurelets
		+ IDL compiler header guards (Murray Cumming)
		+ more regression tests (Michael)

ORBit2-2.3.107

	* Marshal and de-marshal code sets component correctly (Mark)
	* TypeCode portability fix (Laca)
	* spec file re-write (Greg Leblanc)
	* Check recv buffer is correctly aligned (Dou Wen)

ORBit2-2.3.106

	* Support enum declaration within a union decl (Mark)
	* G_BEGIN_DECLise the headers (Sam Couter)
	* Make the macro's vaargs usage portable (Yanko Kaneti)
	* Fix several silly typos (Mark, Michael)
	* Forte compiler workaround (Mark)
	* autogen fixes (Jacob)

ORBit2-2.3.105

	* Changes
		+ object debugging (Michael)
		+ expand in-proc trace debugging (Michael)
		+ genuid cleanups (Michael, Mark)
		+ minor typecode idl comiler cleanup (Mark)

	* Bugs
		+ Makefile.shared disting problem (Michael)
		+ context removing bug (Michael)
		+ various Any comparing bugs (Michael, Mark)

ORBit2-2.3.104

	* runtime GIOP debugging (Mark)	
	* union, any and floats regression tests (Mark)
	* minor optimisations/rationalisations (Mark)
	* orb-core code cleanups (Mark)
	* removing deprecated glib functions (Shivram U)

ORBit2-2.3.103

	* Changes
		+ big POA cleanup (Mark)
		+ unique id generator re-write (Mark, Michael)
		+ runtime debugging (Jacob Berkman, Mark)
		+ idl compiler checks oneway's validity (Mark)
		+ union marshalling cleanup (Mark)
		+ allow multiple ORB:init calls (Michael)

	* Bugs
		+ fix profile leaks (Michael)
		+ fix screwy idl compiler output (Xiong Jiang)
		+ bomb out if alingment checks fail (Mark)

ORBit2-2.3.102

	* Changes
		+ re-enterancy various (Michael)
		+ moved IDL install (Mark)
		+ performance regression test (Michael, Mark)
		+ fixed regression tests (Michael)

ORBit2-2.3.101

	* Features
		+ configurable non-blocking IO with the new linc (Michael)
		+ performance regression test (Michael, Mark, Laszlo Peter)
		+ Name/Sock options for init connection (Roland Juelich)

	* IDL compiler
		+ generate correct unsigned defines (Michael)
		+ handle NULL obj / impl cleanly (Mark)

	* Misc.
		+ more regression tests (Mark)
		+ autoconf updates (Sam Couter)
		+ IOP profile fixage (Roland Juelich, Marl)
		+ spec fixage (Ross Golder)

ORBit2-2.3.100

	* Bugs
		+ more regression tests (Michael)
		+ IDL compiler fixage (Laszlo Peter, Michael)
		+ FreeBSD build fixage (Theo Van Klaveren)
		+ hashing issues (Michael)
		+ union alignment fixage (Mark, Laszlo)
		+ re-work debug code (Mark)
		+ typecode marshaling byteswaps (Mark)
		+ any de-marshaling byteswaps (Mark)
		+ build fixage (Jacob)

ORBit2-2.3.99

	* Features
		* Speedups (Michael)
			+ string marshaling
			+ input handling
			+ allocation
			+ object duplicates
		* Misc (Michael, +)
			+ extended purify cleanliness
			+ loads more regression tests
			+ add flags and spare fields to TypeCode
			+ improved giop encapuslation (+Mark)
			+ cleaned & radicaly simplified giop code
			+ close cnx on GIOP_CLOSECONNECTION

	* Bugs
		* POA
			+ exception fixes (Mark)
			+ ref counting fixes (Mark, Michael)
			+ stale ref on object fix (Michael, Mark)
		* ORB (Michael)
			+ IIOP profile copy bug
			+ is_equivalent issues
			+ register local objrefs correctly in cache
			+ cache connections correctly.
			+ drop unexpected system ex's silently (Michael)
		* Misc
			+ build warning fixage (Mark)
			+ print only ascii in trace mode (Michael)
			+ Build fixage (Johan Dahlin, Abel Cheung)
